Skip to main content
GET
/
api
/
v2
/
sports
/
{sportID}
/
divisions
Get divisions for a sport
curl --request GET \
  --url 'https://therundown.io/api/v2/sports/{sportID}/divisions?key='
{
  "divisions": [
    {
      "division_id": 15,
      "conference_id": 39,
      "sport_id": 4,
      "name": "Atlantic"
    },
    {
      "division_id": 16,
      "conference_id": 39,
      "sport_id": 4,
      "name": "Central"
    },
    {
      "division_id": 17,
      "conference_id": 39,
      "sport_id": 4,
      "name": "Southeast"
    },
    {
      "division_id": 18,
      "conference_id": 757,
      "sport_id": 4,
      "name": "Northwest"
    },
    {
      "division_id": 19,
      "conference_id": 757,
      "sport_id": 4,
      "name": "Pacific"
    },
    {
      "division_id": 20,
      "conference_id": 757,
      "sport_id": 4,
      "name": "Southwest"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.therundown.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

key
string
query
required

API key as query parameter

Path Parameters

sportID
integer
required

Sport ID. Common values: 1=NCAAF, 2=NFL, 3=MLB, 4=NBA, 5=NCAAB, 6=NHL, 7=UFC, 8=WNBA, 9=CFL, 10=MLS, 11=EPL, 16=UEFA Champions League

Response

200 - application/json

List of divisions

divisions
object[]